%define		svnrel 28
%define		pkgrel 0.1
Name:		nagios-plugins-dnssec
Version:	%{pkgrel}.svn%{svnrel}
Release:	5.3
Summary:	Nagios plugins to monitor DNSSEC services.

Group:		Applications/System
License:	GPLv2
URL:		http://svn.durchmesser.ch/trac/check_dnssec/
Source0:	check_dnssec.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ldns-devel
Requires:	ldns

%description
check_dnssec is a set of Nagios/Icinga plugins to monitor DNSSEC services.
check_dnssec is based on ldns a lowlevel DNS(SEC) library.

%prep
%setup -q -n trunk 

%build
[ ! -x configure ] && ./autogen.sh
./configure --prefix=%{_prefix} --bindir=%{_prefix}/lib/nagios/plugins
%__make

%install
%__make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%{_prefix}/lib/nagios/plugins/check_dnssec_expiration
%{_prefix}/lib/nagios/plugins/check_dnssec_trace
%{_prefix}/lib/nagios/plugins/check_dnssec_trust_anchor

%changelog
* Sun Aug 07 2011 Carsten Schoene <cs@linux-administrator.com> - 0.1-1
- initial import to buildservice
- update to svn r28

* Wed Jul  1 2009 Marius Rieder <marius.rieder@durchmesser.ch> 0.1-0
- Update for check_dnssec release 0.1
* Sun Jun 28 2009 Marius Rieder <marius.rieder@durchmesser.ch> 0.1-0.b.1
- Initial .spec file

